%{?python_enable_dependency_generator}
%global commit e17b3deed5ae8c983766943e71a13f7f15a99334
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global owner Yubico

Name:           yubikey-manager
Version:        2.1.0
Release:        3%{?dist}
Summary:        Python library and command line tool for configuring a YubiKey

License:        BSD
URL:            https://github.com/%{owner}/%{name}/
Source0:        https://github.com/%{owner}/%{name}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
# Fix for cryptography < 2.5
Patch0:         https://patch-diff.githubusercontent.com/raw/Yubico/yubikey-manager/pull/231.patch


BuildArch:      noarch
BuildRequires:  swig
BuildRequires:  pcsc-lite-devel
Requires:       python%{python3_pkgversion}-%{name}
Requires:       python%{python3_pkgversion}-setuptools
Requires:       u2f-hidraw-policy

%description
Command line tool for configuring a YubiKey.

%package -n python%{python3_pkgversion}-%{name}
Summary:        Python library for configuring a YubiKey
BuildRequires:  python%{python3_pkgversion}-devel
# install_requires from setup.py
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  %{py3_dist six pyscard pyusb click cryptography pyopenssl fido2}
%else
# No py3_dist deps on EPEL7
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-click
BuildRequires:  python%{python3_pkgversion}-fido2
BuildRequires:  python%{python3_pkgversion}-pyOpenSSL
BuildRequires:  python%{python3_pkgversion}-pyscard
BuildRequires:  python%{python3_pkgversion}-pyusb
Requires:       python%{python3_pkgversion}-click
Requires:       python%{python3_pkgversion}-fido2
Requires:       python%{python3_pkgversion}-pyOpenSSL
Requires:       python%{python3_pkgversion}-pyscard
Requires:       python%{python3_pkgversion}-pyusb
%endif
Requires:       ykpers pcsc-lite

%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python%{python3_pkgversion}-%{name}
Python library for configuring a YubiKey.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{name}
%license COPYING
%doc NEWS
%{python3_sitelib}/*

%files
%{_bindir}/ykman

%changelog
* Fri Apr 25 2019 Orion Poplawski <orion@nwra.com> - 2.1.0-3
- Add requires on setuptools
- Change requires from u2f-host to u2f-hidraw-policy

* Thu Apr 25 2019 Orion Poplawski <orion@nwra.com> - 2.1.0-2
- Add upstream patch for compatibility with cryptography < 2.5

* Thu Apr 25 2019 Orion Poplawski <orion@nwra.com> - 2.1.0-1
- Update to 2.1.0
- Adjust spec to build for EPEL7 as well

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-4.gite17b3de
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 09 2019 Gerald Cox <gbcox@fedoraproject.org> - 2.0.0-3.gite17b3de
- Upstream release - rhbz#1655888

* Tue Jan 01 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.0.0-2.git1c707b2
- Enable python dependency generator

* Mon Dec 31 2018 Gerald Cox <gbcox@fedoraproject.org> - 2.0.0-1.git1c707b2
- Upstream release - rhbz#1655888

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.0-3
- Rebuilt for Python 3.7

* Mon May 7 2018 Seth Jennings <sethdjennings@gmail.com> - 0.6.0-2
- add u2f-host as dependency

* Wed May 2 2018 Seth Jennings <sethdjennings@gmail.com> - 0.6.0-1
- Upstream release

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 9 2017 Seth Jennings <sethdjennings@gmail.com> - 0.4.0-1
- New package
- Upstream release
